<bugID>395735<Summary>Instrument the location bar auto-complete to report accuracy</Summary><Description>As we tweak the algorithm for auto completion in the location bar, we need actual data to understand which techniques work better than others.  For each time the user enters text in the location bar, what if we recorded which result they selected, and then aggregated and reported this information back?  During the beta testing phase of Firefox 3 we could then change the algorithm in the nightly builds, and get data on if we made things better or worse.</Description></bugID>